Verifique se você está vulnerável ao colapso e ao espectro no Linux


Verifique se você está vulnerável ao colapso e ao espectro no Linux

Meltdown e Spectre são bugs nos processadores da Intel e porque são bugs de hardware, nenhum sistema operacional está imune a eles. Esse bug, quando explorado, permite que qualquer pessoa acesse áreas aleatórias da memória do kernel (o que fica abaixo de todas as ferramentas que compõem um sistema operacional) e interfira nos programas que estão sendo executados. A vulnerabilidade do Spectre afeta todas as CPUs (possivelmente até mesmo o seu telefone) e funciona confundindo os programas em execução com o vazamento de informações fora dos limites. Por enquanto, esses bugs estão sendo tratados por meio de patches de segurança e atualizações do BIOS. Veja como verificar se você está vulnerável ao Meltdown e ao Specter no Linux.

Specter Meltdown Checker

O script do verificador Spectre Meltdown está disponível gratuitamente no Github para download. Existem várias maneiras de baixar essa ferramenta, mas de longe a melhor maneira é com a ferramenta Git. Para começar, primeiro instale o Git (se você não o tiver já). A ferramenta git está incluída em todas as principais distribuições Linux de uma forma ou de outra.

Para encontrá-la, abra o gerenciador de pacotes, encontre “git” e instale-o. Com a ferramenta instalada no seu PC Linux, abra uma janela de terminal e use a ferramenta git para clonar os arquivos da página do desenvolvedor:

cd / tmp
git clone //github.com/speed47/spectre -meltdown-checker.git

Como o script do verificador é salvo no diretório temporário, ele será excluído do seu computador Linux na reinicialização. Se você quiser mantê-lo para uso futuro, faça isso:

cd ~ / git clone clone //github.com/speed47/spectre-meltdown-checker.git

Para executar o script, você precisará estar no diretório exato para o qual o arquivo será baixado. Usando o comando CD, vá para a pasta script

cd specter-meltdown-checker

Verificando a fusão e o espectro no Linux


Como instalar os drivers mais recentes do AMDGPU-PRO no Linux

Como instalar os drivers mais recentes do AMDGPU-PRO no Linux

Instalar os drivers oficiais AMDGPU-Pro no Linux sempre foi um pouco uma dor. Além disso, a empresa por trás dessas placas gráficas (até recentemente) não prestou muita atenção aos usuários do Linux. Como resultado, os usuários da Radeon tiveram que lidar com o terrível suporte a jogos Linux, desempenho abaixo do padrão e etc.

(Linux)

Verifique se você está vulnerável ao colapso e ao espectro no Linux

Verifique se você está vulnerável ao colapso e ao espectro no Linux

Meltdown e Spectre são bugs nos processadores da Intel e porque são bugs de hardware, nenhum sistema operacional está imune a eles. Esse bug, quando explorado, permite que qualquer pessoa acesse áreas aleatórias da memória do kernel (o que fica abaixo de todas as ferramentas que compõem um sistema operacional) e interfira nos programas que estão sendo executados.

(Linux)